#pragma once

#include <QObject>
#include <QProcess>
#include "sensor.h"

class OcupancySensorSource : public QObject
{
    Q_OBJECT
private:

    QProcess ping;

public:
    explicit OcupancySensorSource(QObject *parent = nullptr);

public slots:
    void sensorEvent(Sensor sensor);

private slots:

    void Timeout();
    void pingExit(int exitCode, QProcess::ExitStatus exitStatus);

signals:
    void stateChanged(Sensor sensor);
};
