#pragma once
#include <QTableWidget>
#include <vector>
#include "../sensors/sensor.h"

class SensorListWidget : public QTableWidget
{
    Q_OBJECT
public:

    SensorListWidget(QWidget *parent = nullptr);
    SensorListWidget(SensorStore& sensorStore, QWidget* parent = nullptr);
    virtual ~SensorListWidget(){}

public slots:

    void sensorsChanged(std::vector<Sensor> sensors);

};
